<?php

namespace App\Http\Requests\Users;

use App\Http\Requests\ApiFormRequest;

class LoginActivityRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function validationData(): array
    {
        return request()->all();
    }

    public function rules(): array
    {
        return [
            'per_page' => ['nullable', 'integer', 'min:1', 'max:200'],
            'page' => ['nullable', 'integer', 'min:1'],
        ];
    }
}
